ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Matèrne (jhm) <apa...@materne.de>
Subject AW: Java8 and APT
Date Mon, 23 Dec 2013 19:24:33 GMT
We already have a warning in the manual:

"Be advised that the Apt tool does appear to be an unstable part of the JDK
framework, so may change radically in future versions. In particular it is
likely to be obsolete in JDK 6, which can run annotation processors as part
of javac."

So just a hint would be enought.


Jan

> -----Urspr√ľngliche Nachricht-----
> Von: Stefan Bodewig [mailto:bodewig@apache.org]
> Gesendet: Montag, 23. Dezember 2013 07:02
> An: dev@ant.apache.org
> Betreff: Re: Java8 and APT
> 
> On 2013-12-23, Antoine Levy Lambert wrote:
> 
> > in fact the apt command line executable does not exist in Java 1.8.
> 
> didn't notice that.
> 
> > Our best bet is most likely to say that the apt task does not run
> > under Java 1.8 and bypass the apt tests under Java 1.8
> 
> > I just did that.
> 
> Thanks
> 
>         Stefan
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org For additional
> commands, e-mail: dev-help@ant.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message